package io.core.profiling;

import java.util.Hashtable;
import io.core.messaging.TheaterLocator;

public class ActorData {

	public int recieved;

	public int processed;
	public int sentLocal;
	public int sentForeign;

	public long sendingTime;
	public long processingTime;
	public long collectionTime;

	public Hashtable foreignReferences;	

	public ActorData(int _recieved, int _processed, int _sentLocal, int _sentForeign,
			 long _sendingTime, long _processingTime, long _collectionTime, 
			 Hashtable _foreignReferences) {

		recieved = _recieved;
		processed = _processed;
		sentLocal = _sentLocal;
		sentForeign = _sentForeign;
		sendingTime = _sendingTime;
		processingTime = _processingTime;
		collectionTime = _collectionTime;
		foreignReferences = _foreignReferences;
	}

	public int messagesNotSentTo(TheaterLocator target) {
                if (foreignReferences.containsKey(target)) {
                        return sentLocal + sentForeign - ((Integer)foreignReferences.get(target)).intValue();
                }
                else return sentLocal + sentForeign;
	}

        public void printStatistics() {
                System.out.println("\tCollected for: " + collectionTime + ", and recieved " + recieved + " messages");
                System.out.println("\tProcessed " + processed + " messages in " + processingTime + " ms");
                System.out.println("\tSent " + sentLocal + " local and " + sentForeign + " foreign messages in " + sendingTime + " ms");
        }
}
