/**
	Available:

	Author: Travis Desell
	LastModified: 9/20/2002
 */

package io.protocol;

public class NewResource extends P2PPacket {

	public int timeToLive;
	public double processingValue;
	public double messageSendingValue;
	public double availableTime;
	public TheaterLocation theaterLocation;

	public String toString() {
		return "Available Packet originating at " + theaterLocation.toString() + "\n\t\toffering processing: " + 
		       processingValue + ", message sending: " + messageSendingValue + " and available time: " + availableTime;
	}

	public Available() {
		timeToLive = 0;
		processingValue = 0;
		messageSendingValue = 0;
	}

	public Available(double _processingValue, double _messageSendingValue, double _availableTime, TheaterLocation _theaterLocation, int _timeToLive) {
		processingValue = _processingValue;
		messageSendingValue = _messageSendingValue;
		availableTime = _availableTime;
		theaterLocation = _theaterLocation;
		timeToLive = _timeToLive;
	}
}
