/**
	MigrationAccept:

	Author: Travis Desell
	LastModified: 9/20/2002
 */

package io.p2p.protocol;

public class MigrationAccept extends P2PPacket {

	public double processingValue;
	public double messageSendingValue;
	public double availableTime;
	public TheaterLocation theaterLocation;

	public String toString() {
		return "MigrationAccept packet, from " + theaterLocation.toString() + "\n\t\toffering processing: " + processingValue +
		       ", message sending: " + messageSendingValue + " and available time: " + availableTime;		
	}

	public MigrationAccept() {
		processingValue = 0;
		messageSendingValue = 0;
	}

	public MigrationAccept(long _processingValue, long _messageSendingValue, long _availableTime, TheaterLocation _theaterLocation) {
		processingValue = _processingValue;
		messageSendingValue = _messageSendingValue;
		availableTime = _availableTime;
		theaterLocation = _theaterLocation;
	}

	public MigrationAccept(double _processingValue, double _messageSendingValue, double _availableTime, TheaterLocation _theaterLocation) {
		processingValue = _processingValue;
		messageSendingValue = _messageSendingValue;
		availableTime = _availableTime;
		theaterLocation = _theaterLocation;
	}


}
